<?php
/**
  @licence GPL 2005-2011  The osCSS developers - osCSS Open Source E-commerce
  @portion code Copyright (c) 2002 osCommerce
  @package osCSS-2 <www http://www.oscss.org>
  @version 2.1.0
  @date  24/01/11, 19:24
  @author oscim <mail aurelien@oscim.fr> <www http://www.oscim.fr>
  @encode UTF-8
  @brief code is part of execution for discuont coupon test
*/
      $coupon_sav=tep_db_prepare_input($_GET['coupon']);
      $cp = new discount_coupon( $coupon_sav, array('zone_id'=>$_SESSION['customer_zone_id'],'country_id'=>$_SESSION['customer_country_id']) );
      $cp->verify_code();
      if($cp->is_errors()){
	echo '<p id="checkoutcouponerror">';
	foreach( $cp->get_messages() as $v)echo $v;
	echo '</p>';
      }
?>